org.eclnt.jsfserver.elements.impl

## Class SPANGRIDItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.impl.SPANGRIDItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem

      public class SPANGRIDItem
      extends FIXGRIDItem

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SPANGRIDItem.BindingArrayList`
    `class` | `SPANGRIDItem.CswArrayList`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPANGRIDItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(int colspan, ROWDYNAMICCONTENTBinding.ComponentNode node)` Add column content.
    `void` | `clearContent()` Clear existing column content.
    `SPANGRIDItem.BindingArrayList` | `getBs()`
    `SPANGRIDItem.CswArrayList` | `getCsws()`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPANGRIDItem

          public SPANGRIDItem()

  - ### Method Detail

    - #### addContent

          public void addContent(int colspan,
                                 ROWDYNAMICCONTENTBinding.ComponentNode node)

      Add column content.

    - #### clearContent

          public void clearContent()

      Clear existing column content.

    - #### getCsws

          public SPANGRIDItem.CswArrayList getCsws()

    - #### getBs

          public SPANGRIDItem.BindingArrayList getBs()

Copyright © CaptainCasa Gmbh. All Rights Reserved.